Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class OBJECT_IDENTIFIER.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.OBJECT_IDENTIFIER.Template

public static class OBJECT_IDENTIFIER.Template
extends java.lang.Object
implements ASN1Template

Constructor Summary
`OBJECT_IDENTIFIER.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)`
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)`
`boolean` | `formMatch(Form form)`
`Form` | `getForm()`
`Tag` | `getTag()`
`private static byte` | `readByte(java.io.InputStream istream)` Reads in a byte from the stream, throws an InvalidBERException if EOF is reached.
`boolean` | `tagMatch(Tag tag)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### OBJECT_IDENTIFIER.Template

    public OBJECT_IDENTIFIER.Template()

Method Detail

### getTag

    public Tag getTag()

### tagMatch

    public boolean tagMatch(Tag tag)

  Specified by:
    tagMatch in interface ASN1Template

### getForm

    public Form getForm()

### formMatch

    public boolean formMatch(Form form)

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Specified by:
    decode in interface ASN1Template

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Specified by:
    decode in interface ASN1Template

### readByte

    private static byte readByte(java.io.InputStream istream)
                          throws InvalidBERException,
                                 java.io.IOException

  Reads in a byte from the stream, throws an InvalidBERException if EOF is reached.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD